package com.caimei365.order.mapper;

import com.caimei365.order.model.po.cmOfflineCollectionPo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2022/9/26
 */
@Mapper
public interface cmOfflineCollectionMapper {
    /**
     * 获取后台配置显示的银行信息
     * @return
     */
    cmOfflineCollectionPo seData();

    /**
     * 检测银行账号是否删除
     * @return
     */
    List<cmOfflineCollectionPo> detectionAccount(@Param("bankAccount") String bankAccount);
}
