package com.caimei365.order.model.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * Description
 *
 * @author : Charles
 * @date : 2023/5/25
 */
@Data
public class InvoiceOrganizeDto {
    private static final long serialVersionUID = 1L;
    /**
     * 用户Id
     */
    private Integer userId;
    /**
     * id
     */
    @ApiModelProperty("id")
    private Integer id;
    /**
     * 发票类型: 0不要发票 1 普通发票 2 增值税专用发票
     */
    @ApiModelProperty("发票类型: 0不要发票 1 普通发票 2 增值税专用发票")
    private Integer type;
    /**
     * 抬头类型: 0 个人 1 单位
     */
    @ApiModelProperty("抬头类型: 0 个人 1 单位")
    private Integer headingType;
    /**
     * 单位名，发票抬头
     */
    @ApiModelProperty("单位名，发票抬头")
    private String invoiceTitle;
    /**
     * 企业税号、纳税人识别号
     */
    @ApiModelProperty("企业税号、纳税人识别号")
    private String corporationTaxNum;
    /**
     * 注册地址
     */
    @ApiModelProperty("注册地址")
    private String registeredAddress;
    /**
     * 注册电话
     */
    @ApiModelProperty("注册电话")
    private String registeredPhone;
    /**
     * 开户银行账户
     */
    @ApiModelProperty("开户银行账户")
    private String bankAccountNo;
    /**
     * 开户银行
     */
    @ApiModelProperty("开户银行")
    private String openBank;
}
