package com.caimei365.order.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * Description
 *
 * @author : Charles
 * @date : 2022/2/11
 */
@ApiModel("线下收款微信授权")
@Data
public class ReceiptAuthDto implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 微信授权code
     */
    @NotNull
    @ApiModelProperty("微信授权code")
    private String code;
    /**
     * 微信加密数据
     */
    @ApiModelProperty("微信加密数据")
    private String encryptedData;
    /**
     * 加密算法的初始向量
     */
    @ApiModelProperty("加密算法的初始向量")
    private String iv;
    /**
     * 授权人手机号
     */
    @ApiModelProperty("授权人手机号")
    private String mobile;
    /**
     * 密码
     */
    @ApiModelProperty("密码")
    private String password;
}
