package com.caimei365.order.model.enums;

/**
 * @author 5566
 * @version 1.0
 * @date 2020-02-28 11:24
 * @desc
 */
public enum Currency {
    /**
     *
     */
    CNY("人民币", 0),
    USD("美元", 1),
    ;

    private final String desc;
    private final Integer index;

    public String getDesc() {
        return desc;
    }

    public Integer getIndex() {
        return index;
    }

    Currency(String desc, Integer index) {
        this.desc = desc;
        this.index = index;
    }
}
