package com.caimei365.order.model.po;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/6/28
 */
@Data
public class CartPo implements Serializable {
    private static final long serialVersionUID = 1L;

    private Integer skuId;
    /**
     * 购物车 cm_cartID
     */
    private Integer id;
    /**
     * 用户id
     */
    private Integer userId;
    /**
     * 用户id
     */
    private Integer shopId;
    /**
     * 商品id
     */
    private Integer productId;
    /**
     * 商品数量
     */
    private Integer productCount;
    /**
     * 添加时间
     */
    private Date addTime;
    /**
     * 是否再次购买: 1再次购买   0不是再次购买
     */
    private Integer reBuyFlag;

}
