package com.caimei365.order.model.po;

import lombok.Data;

/**
 * Description
 *
 * @author : Charles
 * @date : 2023/5/10
 */
@Data
public class CmOrganizeSkuPo {
    private Integer id;
    /**
     * 商品Id
     */
    private Integer productId;
    /**
     * 外部商城SkuId
     */
    private Integer organId;
    /**
     * 采美SkuId
     */
    private Integer skuId;
    /**
     * 外部商城productId
     */
    private Integer mallProductId;
    /**
     * 外部商城起订量
     */
    private Integer minBuyNumber;
    /**
     * 外部商城售价
     */
    private Double price;
    /**
     * 包装规格
     */
    private String unit;
    /**
     * 机构价
     */
    private String clubPrice;
    /**
     * 成本类型：1固定成本 2比例成本
     */
    private String costCheckFlag;
    /**
     * 成本价
     */
    private Double costPrice;
    /**
     * 集团成本价
     */
    private Double organizeCostPrice;
    /**
     *
     */
    private Double cmCostPrice;
    /**
     * 比例成本百分比
     */
    private Double costProportional;
    /**
     * 采美起订量
     */
    private Integer cmMinBuyNumber;
    /**
     * 分账组织佣金比例
     */
    private Integer organizePercent;
    /**
     * 分账供应商成本比例
     */
    private Integer shopPercent;
    /**
     * 分账采美佣金比例
     */
    private Integer cmPercent;
}
