package com.caimei365.order.model.po;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
public class CouponRecordPo implements Serializable {
    private static final long serialVersionUID = 1L;

    private Integer id;
    private Integer couponId;
    private Integer payStatus;
    private Integer userId;
    /**
     * cm_coupon_redemption_code 兑换码
     */
    private String redemptionCode;
    /**
     *  商品兑换优惠券订单id
     */
    private Integer orderId;
    /**
     *  cm_coupon_redemption_code 关联的cm_coupon_club的Id
     */
    private Integer clubCouponId;
    /**
     *  cm_coupon_redemption_code 兑换状态：1未兑换 2已兑换
     */
    private Integer status;
    /**
     *  cm_coupon_redemption_code 兑换时间
     */
    private Date redemptionTime;
    /**
     * 领取渠道：1小程序 2网站 3订单退回 4后台
     */
    private Integer source;
}
