package com.caimei365.order.model.po;

import com.google.common.collect.ImmutableSet;

import java.io.Serializable;
import java.util.Set;

public class OnlineRefundData implements Serializable {
    private String rt1_bizType;
    private String rt2_retCode;
    private String rt3_retMsg;
    private String rt4_customerNumber;
    private String rt5_orderId;
    private String rt6_refundOrderId;
    private String rt7_amount;
    private String rt8_orderStatus;
    private String sign;
    public static final Set<String> NEED_SIGN_PARAMS = ImmutableSet.of("rt1_bizType", "rt2_retCode","rt3_retMsg", "rt4_customerNumber",
            "rt5_orderId", "rt6_refundOrderNum", "rt7_amount", "rt8_orderStatus");

    public OnlineRefundData() {
    }

    public String getRt1_bizType() {
        return rt1_bizType;
    }

    public void setRt1_bizType(String rt1_bizType) {
        this.rt1_bizType = rt1_bizType;
    }

    public String getRt2_retCode() {
        return rt2_retCode;
    }

    public void setRt2_retCode(String rt2_retCode) {
        this.rt2_retCode = rt2_retCode;
    }

    public String getRt3_retMsg() {
        return rt3_retMsg;
    }

    public void setRt3_retMsg(String rt3_retMsg) {
        this.rt3_retMsg = rt3_retMsg;
    }

    public String getRt4_customerNumber() {
        return rt4_customerNumber;
    }

    public void setRt4_customerNumber(String rt4_customerNumber) {
        this.rt4_customerNumber = rt4_customerNumber;
    }

    public String getRt5_orderId() {
        return rt5_orderId;
    }

    public void setRt5_orderId(String rt5_orderId) {
        this.rt5_orderId = rt5_orderId;
    }

    public String getRt6_refundOrderId() {
        return rt6_refundOrderId;
    }

    public void setRt6_refundOrderId(String rt6_refundOrderId) {
        this.rt6_refundOrderId = rt6_refundOrderId;
    }

    public String getRt7_amount() {
        return rt7_amount;
    }

    public void setRt7_amount(String rt7_amount) {
        this.rt7_amount = rt7_amount;
    }

    public String getRt8_orderStatus() {
        return rt8_orderStatus;
    }

    public void setRt8_orderStatus(String rt8_orderStatus) {
        this.rt8_orderStatus = rt8_orderStatus;
    }

    public String getSign() {
        return sign;
    }

    public void setSign(String sign) {
        this.sign = sign;
    }
}
