package com.caimei365.order.model.po;

import lombok.Data;

import java.io.Serializable;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/8/3
 */
@Data
public class PayShopRecordPo implements Serializable {
    private static final long serialVersionUID = 1L;

    private Integer id;
    /**
     * 供应商Id
     */
    private Integer shopId;
    /**
     * 子订单ID
     */
    private Integer shopOrderId;
    /**
     * 子订单编号
     */
    private String shopOrderNo;
    /**
     * 付款金额
     */
    private Double payAmount;
    /**
     * 付款抹平金额
     */
    private Double wipePayment;
    /**
     * 付款方式 1建设银行7297, 2中信银行0897, 3中信银行7172, 4广发银行0115, 5广发银行5461,6线上分账
     */
    private Integer payType;
    /**
     * 付款时间
     */
    private String payTime;
    /**
     * 付款单表id
     */
    private Integer payShopId;
    /**
     * 0待审核, 1审核通过, 2审核不通过
     */
    private Integer status;
    /**
     * 删除标记 0 否，其余是
     */
    private Integer delFlag;
}
