package com.caimei365.order.model.po;

import lombok.Data;

import java.io.Serializable;


/**
 * 复购价格库
 *
 * @author : Charles
 * @date : 2021/7/14
 */
@Data
public class PurchasePricePo implements Serializable {
    private static final long serialVersionUID = 1L;

    private Integer skuId;
    /**
     * id
     */
    private Integer id;
    /**
     * 用户id
     */
    private Integer userId;
    /**
     * 机构Id
     */
    private Integer clubId;
    /**
     * 订单Id
     */
    private Integer orderId;
    /**
     * 商品ID
     */
    private Integer productId;
    /**
     * 供应商ID
     */
    private Integer shopId;
    /**
     * 供应商名称
     */
    private String shopName;
    /**
     * 税率
     */
    private Double taxRate;
    /**
     * 当前价
     */
    private Double currentPrice;
    /**
     * 下单时间
     */
    private String createTime;
    /**
     * 更新时间
     */
    private String updateTime;
    /**
     * 删除标记 0否 其余是
     */
    private Integer delFlag;
}
