package com.caimei365.order.model.po;

import lombok.Data;

import java.io.Serializable;

/**
 * Description
 *
 * @author : Charles
 * @date : 2022/2/24
 */
@Data
public class RefundShopPo implements Serializable {
    private static final long serialVersionUId = 1L;
    /**
     * id
     */
    private Integer id;
    /**
     * 供应商Id
     */
    private Integer shopId;
    /**
     * 操作人ID
     */
    private Integer operator;
    /**
     * 操作时间
     */
    private String operateTime;
    /**
     * 退款金额(线下转账)
     */
    private Double refundAmount;
    /**
     * 退款余额金额(余额账号)
     */
    private Double refundBalanceAmount;
    /**
     * 退款方式：1线下转账，2余额账号，3线下和余额同时退，4收款CRM(供应商退款)
     */
    private Integer refundWay;
    /**
     * 线下转账具体银行
     */
    private Integer refundType;
    /**
     * 备注
     */
    private String remark;
}
