package com.caimei365.order.model.vo;

import com.google.common.collect.ImmutableSet;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.util.Set;

@Setter
@Getter
@ToString
public class HeliOnlineVo {
    private String P1_bizType;
    private String P2_orderId;
    private String P3_customerNumber;
    private String P4_orderAmount;
    //银行编码
    private String P5_bankId;
    //业务类型 B2C:个人支付 B2B:企业支付
    private String P6_business;
    private String P7_timestamp;
    private String P8_goodsName;
    //有效期 Number(10)	1
    private String P9_period;
    //有效期单位 Day：天 Hour：时 Minute：分
    private String P10_periodUnit;
    //成功通知地址
    private String P11_callbackUrl;
    //异步回调地址
    private String P12_serverCallback;
    private String P13_orderIp;
    private String P14_onlineCardType;
    private String P15_desc;
    //String(20)	MD5 不参与签名
    private String P17_signatureType;
    private String sign;

    public static final Set<String> NEED_SIGN_PARAMS = ImmutableSet.of("P1_bizType", "P2_orderId", "P3_customerNumber",
            "P4_orderAmount", "P5_bankId", "P6_business", "P7_timestamp", "P8_goodsName", "P9_period", "P10_periodUnit",
            "P11_callbackUrl", "P12_serverCallback", "P13_orderIp", "P14_onlineCardType", "P15_desc");
}
