package com.caimei365.order.model.vo;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/6/28
 */
@Data
public class LadderPriceVo implements Serializable {
    private static final long serialVersionUID = 1L;

    private Integer id;
    /**
     * 阶梯价的skuId
     */
    private Integer skuId;
    /**
     * 商品id
     */
    private Integer productId;
    /**
     * 第几阶梯
     */
    private Integer ladderNum;
    /**
     * 购买数量
     */
    private Integer buyNum;
    /**
     * 购买价格
     */
    private Double buyPrice;
    /**
     * 下一阶数量
     */
    private Integer maxNum;
    /**
     * 显示数量 如：1~3
     */
    private String numRange;
    /**
     * 订单商品Id(保存订单用)
     */
    private Integer orderProductId;
    /**
     * 创建时间(保存订单用)
     */
    private Date createDate;
}
