package com.caimei365.order.model.vo;


import com.caimei365.order.annotation.FieldEncrypt;
import com.caimei365.order.annotation.SignExclude;

/**
 * @author zzj
 * 一键绑卡发送参数
 */
public class OnceBindCardVo {
    private String P1_bizType;
    private String P2_customerNumber;
    private String P3_userId;
    private String P4_orderId;
    private String P5_timestamp;
    private String P6_payerName;
    private String P7_idCardType;
    @FieldEncrypt
    private String P8_idCardNo;
    @FieldEncrypt
    private String P9_phone;
    private String P10_bankId;
    private String P11_onlineCardType;
    private String P12_serverCallbackUrl;
    private String P13_bankRdrctToMchUrl;
    @SignExclude
    private String signatureType;

    public String getP1_bizType() {
        return P1_bizType;
    }

    public void setP1_bizType(String p1_bizType) {
        P1_bizType = p1_bizType;
    }

    public String getP2_customerNumber() {
        return P2_customerNumber;
    }

    public void setP2_customerNumber(String p2_customerNumber) {
        P2_customerNumber = p2_customerNumber;
    }

    public String getP3_userId() {
        return P3_userId;
    }

    public void setP3_userId(String p3_userId) {
        P3_userId = p3_userId;
    }

    public String getP4_orderId() {
        return P4_orderId;
    }

    public void setP4_orderId(String p4_orderId) {
        P4_orderId = p4_orderId;
    }

    public String getP5_timestamp() {
        return P5_timestamp;
    }

    public void setP5_timestamp(String p5_timestamp) {
        P5_timestamp = p5_timestamp;
    }

    public String getP6_payerName() {
        return P6_payerName;
    }

    public void setP6_payerName(String p6_payerName) {
        P6_payerName = p6_payerName;
    }

    public String getP7_idCardType() {
        return P7_idCardType;
    }

    public void setP7_idCardType(String p7_idCardType) {
        P7_idCardType = p7_idCardType;
    }

    public String getP8_idCardNo() {
        return P8_idCardNo;
    }

    public void setP8_idCardNo(String p8_idCardNo) {
        P8_idCardNo = p8_idCardNo;
    }

    public String getP9_phone() {
        return P9_phone;
    }

    public void setP9_phone(String p9_phone) {
        P9_phone = p9_phone;
    }

    public String getP10_bankId() {
        return P10_bankId;
    }

    public void setP10_bankId(String p10_bankId) {
        P10_bankId = p10_bankId;
    }

    public String getP11_onlineCardType() {
        return P11_onlineCardType;
    }

    public void setP11_onlineCardType(String p11_onlineCardType) {
        P11_onlineCardType = p11_onlineCardType;
    }

    public String getP12_serverCallbackUrl() {
        return P12_serverCallbackUrl;
    }

    public void setP12_serverCallbackUrl(String p12_serverCallbackUrl) {
        P12_serverCallbackUrl = p12_serverCallbackUrl;
    }

    public String getP13_bankRdrctToMchUrl() {
        return P13_bankRdrctToMchUrl;
    }

    public void setP13_bankRdrctToMchUrl(String p13_bankRdrctToMchUrl) {
        P13_bankRdrctToMchUrl = p13_bankRdrctToMchUrl;
    }

    public String getSignatureType() {
        return signatureType;
    }

    public void setSignatureType(String signatureType) {
        this.signatureType = signatureType;
    }
}
