package com.caimei365.order.model.vo;

import com.google.common.collect.ImmutableSet;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.io.Serializable;
import java.util.Set;

@Setter
@Getter
@ToString
public class OnlineCheckVo implements Serializable {
    private String rt1_bizType;
    private String rt2_retCode;
    private String rt3_customerNumber;
    private String rt4_orderId;
    private String rt5_orderAmount;
    private String rt6_bankId;
    private String rt7_business;
    private String rt8_createDate;
    private String rt9_completeDate;
    private String rt10_orderStatus;
    private String rt11_desc;
    //DEBIT:借记卡
    //CREDIT:贷记卡
    //UNKNOWN:未知ZCREDIT:准贷记卡
    //DEBIT_CREDIT:借贷合一
    private String onlineCardType;
    private String sign;


    /**
     * 需要加签的属性参数
     * 看接口文档
     */
    public static final Set<String> NEED_SIGN_PARAMS = ImmutableSet.of("rt1_bizType", "rt2_retCode", "rt3_customerNumber",
            "rt4_orderId", "rt5_orderAmount", "rt6_bankId", "rt7_business", "rt8_createDate","rt9_completeDate","rt10_orderStatus");
}
