package com.caimei365.order.model.vo;

import lombok.Data;

import java.io.Serializable;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/7/1
 */
@Data
public class ProductPostageVo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 商品Id
     */
    private Integer productId;
    /**
     * 物流方式 0包邮、1使用运费模板、2到付
     */
    private Integer postageFlag;
    /**
     * 运费模板Id
     */
    private Integer freightTemplateId;
    /**
     * 邮费
     */
    private Double postage;
    /**
     * 商品属性：1产品，2仪器（到付）
     */
    private Integer commodityType;

}
