package com.caimei365.order.model.vo;


import com.google.common.collect.ImmutableSet;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.util.Set;

@Setter
@Getter
@ToString
public class QueryOrderVo {

    private String P1_bizType;
    private String P2_orderId;
    private String P3_customerNumber;
    private String P4_serialNumber;
    private String sign;

    /**
     * 需要加签的属性参数
     * 看接口文档
     */
    public static final Set<String> NEED_SIGN_PARAMS = ImmutableSet.of("P1_bizType", "P2_orderId", "P3_customerNumber");
}
