package com.caimei365.order.model.vo;

import com.caimei365.order.annotation.FieldEncrypt;
import com.caimei365.order.annotation.SignExclude;
import lombok.Data;

@Data
public class QuickPaySpRefundVo {

    private String P1_bizType;

    private String P2_orderId;

    private String P3_customerNumber;

    private String P4_refundOrderId;

    @FieldEncrypt
    private String P5_ruleJson;

    private String P6_callbackUrl;

    @SignExclude
    private String signatureType;

}
