package com.caimei365.order.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author zzj
 */
@Data
public class QuickPayUserVo implements Serializable {
    private static final long serialVersionUID = 1L;
    @ApiModelProperty("采美userId")
    private Integer userId;
    @ApiModelProperty("快捷支付绑定采美唯一userId")
    private String quickPayUserId;
    @ApiModelProperty("快捷支付绑定合利宝唯一Id")
    private String quickPaybindId;
    @ApiModelProperty("用户身份证号")
    private String idCard;
    @ApiModelProperty("用户银行卡/信用卡号")
    private String bankNumber;
    @ApiModelProperty("信用卡过期时间")
    private String bankExpireTime;
    @ApiModelProperty("信用卡安全码")
    private String bankCvvCode;
    @ApiModelProperty("用户绑定卡类型1借记卡2信用卡")
    private Integer bankType;
    @ApiModelProperty("用户银行预留手机号")
    private String bindMobile;
    @ApiModelProperty("用户银行绑定姓名")
    private String bankUserName;
}
