package com.caimei365.order.model.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/7/5
 */
@Data
public class AgainBuyDto implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 协销id
     */
    @ApiModelProperty("协销id")
    private Integer serviceProviderId;
    /**
     * 订单id
     */
    @ApiModelProperty("订单Id")
    private Integer orderId;
    /**
     * 子订单Id
     */
    @ApiModelProperty("子订单Id")
    private Integer shopOrderId;
    /**
     * 确认标志：0未确认 1已确认-将失效商品以外的正常商品加入购物车
     */
    @ApiModelProperty("确认标志：0未确认 1已确认-将失效商品以外的正常商品加入购物车")
    private Integer confirmFlag;
}
