package com.caimei365.order.model.dto;

import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2023/6/12
 */
@Data
public class OrderRemarkDto implements Serializable {

    private Integer id;
    private Integer orderId;
    private Integer shopOrderId;
    private Integer createBy;
    private String remarks;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String createDate;
    private String createName;
    private List<String> images;
    private List<OssFileDto> ossFiles;
}
