package com.caimei365.order.model.dto;

import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;

/**
 * Description
 *
 * @author : Charles
 * @date : 2023/6/12
 */
@Data
public class OssFileDto implements Serializable {

    private static final long serialVersionUID = 1L;

    private Integer id;

    private Integer orderId;

    private Integer remarkId;

    private String name;

    private String ossName;

    private String md5Hex;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String uploadTime;
}
