package com.caimei365.order.model.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * Description
 *
 * @author : Charles
 * @date : 2022/2/21
 */
@Data
public class ReceiptAssociateDto implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 收款Id
     */
    @ApiModelProperty("收款Id")
    private Integer id;
    /**
     * 确认订单类型：1小额抹平确认，2大额抹平确认，3大额退款余额，4确认关联
     */
    @ApiModelProperty("确认订单类型：1小额抹平确认，2大额抹平确认，3大额退款余额，4确认关联")
    private Integer confirmType;
    /**
     * 关联订单IDS
     */
    @ApiModelProperty("关联订单IDS")
    private String orderIds;
    /**
     * 非订单款说明(适用协销确认的时候区分订单和非订单款)
     */
    @ApiModelProperty("非订单款说明(适用协销确认的时候区分订单和非订单款)")
    private String noOrderReason;
    /**
     * 关联供应商退款子订单ID
     */
    @ApiModelProperty("关联供应商退款子订单ID")
    private Integer shopOrderId;
    /**
     * 关联供应商退款子订单ID
     */
    @ApiModelProperty("关联返佣子订单IDs")
    private String shopOrderIds;
    /**
     * 返佣关联备注
     */
    @ApiModelProperty("关联返佣备注")
    private String rebateRemarks;
}
