package com.caimei365.order.model.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author zzj
 */
@Data
public class VipSkuPriceDto implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("会员价类型：1折扣，2优惠价")
    private Integer priceType;

    @ApiModelProperty("会员折扣")
    private Double discount;

    @ApiModelProperty("会员价")
    private Double discountPrice;

    @ApiModelProperty("skuId")
    private Integer skuId;

    @ApiModelProperty("productId")
    private Integer productId;
}
