package com.caimei365.order.model.enums;

public enum AccountPayOrderType {

    ALLOWANCE("活动补贴", 1),

    TRANSFER("资金划拨", 2),


    ;

    private final String desc;
    private final Integer index;


    AccountPayOrderType(String desc, Integer index) {
        this.desc = desc;
        this.index = index;
    }

    public String getDesc() {
        return desc;
    }

    public Integer getIndex() {
        return index;
    }
}
