package com.caimei365.order.model.enums;

/**
 * @author 5566
 * @version 1.0
 * @date 2020-02-28 13:54
 * @desc
 */
public enum AppPayStatus {
    /**
     * 初始化
     */
    INIT("已接收", 1),

    DOING("处理中", 2),

    SUCCESS("成功", 3),

    FAIL("失败", 4),

    CLOSE("关闭", 5),

    CANCELLING("撤销中", 6),

    CANCEL("已撤销", 7),
    ;

    AppPayStatus(String desc, Integer index) {
        this.desc = desc;
        this.index = index;
    }

    private String desc;
    private Integer index;

    public String getDesc() {
        return desc;
    }

    public Integer getIndex() {
        return index;
    }
}
