package com.caimei365.order.model.enums;

/**
 * @author 5566
 * @version 1.0
 * @date 2020-02-12 17:32
 * @desc
 */
public enum AppPayType {
    /**
     * 支付宝
     */
    ALIPAY("支付宝", 1),
    WXPAY("微信支付", 2),
    UNIONPAY("银联", 3),
    QQPAY("QQ钱包", 4),
    JDPAY("京东", 5),
    EACHWALLET("互通钱包", 6);


    AppPayType(String s, Integer i) {
        this.desc = s;
        this.index = i;
    }

    private String desc;
    private Integer index;

    public String getDesc() {
        return desc;
    }

    public Integer getIndex() {
        return index;
    }
}
