package com.caimei365.order.model.enums;

/**
 * @author 5566
 * @version 1.0
 * @date 2019-12-16 14:47
 * @desc
 */
public enum IndustryTypeEnum {
    /**
     * YS:饮食
     */
    YS("餐饮/食品", "快餐,火锅,烧烤,小吃/熟食,其他中餐,日韩/东南亚菜,西餐,咖啡厅,甜品饮品,烘焙糕点", 0),

    LS("线下零售", "超市,便利店,自动贩卖机,百货,食品生鲜,数码电器/电脑办公,家具建材/家居厨具,服饰箱包,运动户外,美妆个护,母婴用品/儿童玩具,计生用品,图书音像/文具乐器,黄金珠宝,钟表眼镜,宠物/宠物用品,礼品鲜花/农资绿植,批发业", 1),

    FW("居民生活/商业服务", "物流/快递,咨询/法律咨询/金融咨询等,婚庆/摄影,装饰/设计,家政/维修服务,广告/会展/活动策划,人才中介机构/招聘/猎头,职业社交/婚介/交友,房地产,苗木种植/园林绿化,丧仪殡葬服务,搬家/回收,宠物医院,共享服务", 2),

    YL("休闲娱乐/美发美容/健身场馆", "娱乐票务,运动健身场馆,俱乐部/休闲会所,游艺厅/KTV/网吧,院线影城,演出赛事,美发/美容/美甲店,酒吧", 3),

    LY("旅行社/旅馆/酒店/度假区", "租车,加油,铁路客运,高速收费,城市公共交通,船舶/海运服务,旅行社,机票/机票代理,旅馆/酒店/度假区,景区", 4),

    JT("汽车用品/汽车美容/维修保养", "汽车用品,汽车美容/维修保养,停车缴费", 5),

    JY("教育/培训", "教育/培训/考试缴费/学费,民办大学及学院,民办中小幼", 6),

    YY("私立/民营医院/诊所/医美", "保健器械/医疗器械/非处方药品,保健信息咨询平台,私立/民营医院/诊所,挂号平台", 7),

    QT("其他行业", "其他行业", 8),
    ;

    private String desc;

    private String merchantKeyWord;

    private Integer index;

    IndustryTypeEnum(String desc, String merchantKeyWord, Integer index) {
        this.desc = desc;
        this.merchantKeyWord = merchantKeyWord;
        this.index = index;
    }

    public String getDesc() {
        return desc;
    }

    public String getMerchantKeyWord() {
        return merchantKeyWord;
    }

    public Integer getIndex() {
        return index;
    }
}
