package com.caimei365.order.model.enums;

/**
 * @author 5566
 * @version 1.0
 * @date 2020-02-28 11:22
 * @desc
 */
public enum OperationType {
    /**
     *
     */
    FREEZE("冻结", 0),
    UNFREEZE("解冻", 1),
    ;

    private final String desc;
    private final Integer index;

    public String getDesc() {
        return desc;
    }

    public Integer getIndex() {
        return index;
    }

    OperationType(String desc, Integer index) {
        this.desc = desc;
        this.index = index;
    }
}
