package com.caimei365.order.model.po;

import lombok.Data;

import java.util.Date;

/**
 * Description
 *
 * @author : plf
 * @date : 2021/8/16
 */
@Data
public class CouponClubPo {
    private Integer id;

    /**
     * 机构用户Id
     */
    private Integer userId;

    /**
     * 优惠券id
     */
    private Integer couponId;

    /**
     * 订单id
     */
    private Integer orderId;

    /**
     * 退款id,订单退回时有效
     */
    private Integer returnedId;


    /**
     * 领取渠道：1网站 2小程序 3订单退回,5商品购买转换
     */
    private Integer source;

    /**
     * 使用状态 1未使用 2已使用
     */
    private String status;

    /**
     * 领取时间
     */
    private Date createDate;

    /**
     * 使用时间
     */
    private Date useDate;

    /**
     * 删除标记 0否 其余是
     */
    private String delFlag;

}
