package com.caimei365.order.model.po;

import lombok.Data;

import java.io.Serializable;

/**
 * Description
 *
 * @author : Charles
 * @date : 2022/2/24
 */
@Data
public class RefundShopRecordPo implements Serializable {
    private static final long serialVersionUId = 1L;
    /**
     * id
     */
    private Integer id;
    /**
     * 退款表ID
     */
    private Integer refundShopId;
    /**
     * 供应商Id
     */
    private Integer shopId;
    /**
     * 子订单ID
     */
    private Integer shopOrderId;
    /**
     * 子订单编号
     */
    private String shopOrderNo;
    /**
     * 退款金额(线下转账)
     */
    private Double refundAmount;
    /**
     * 线下转账具体银行
     */
    private Integer refundType;
    /**
     * 付款时间
     */
    private String refundTime;

}
