package com.caimei365.order.model.vo;


import com.caimei365.order.annotation.FieldEncrypt;
import com.caimei365.order.annotation.SignExclude;
import lombok.Data;

/**
 * Created by heli50 on 2017/4/14.
 */
@Data
public class FirstQuickPayVo {
    private String P1_bizType;

    private String P2_customerNumber;

    private String P3_userId;

    private String P4_orderId;

    private String P5_timestamp;

    private String P6_payerName;

    private String P7_idCardType;

    @FieldEncrypt
    private String P8_idCardNo;

    @FieldEncrypt
    private String P9_cardNo;

    /**
     * 当银行卡是信用卡时必输
     * 信用卡有效期 年
     */
    @FieldEncrypt
    private String P10_year;

    /**
     * 当银行卡是信用卡时必输
     * 信用卡有效期 月
     */
    @FieldEncrypt
    private String P11_month;

    @FieldEncrypt
    private String P12_cvv2;

    @FieldEncrypt
    private String P13_phone;

    private String P14_currency;

    private String P15_orderAmount;

    private String P16_goodsName;

    private String P17_goodsDesc;

    private String P18_terminalType;

    private String P19_terminalId;

    private String P20_orderIp;

    private String P21_period;

    private String P22_periodUnit;

    private String P23_serverCallbackUrl;

    @SignExclude
    private String sendValidateCode;

    @SignExclude
    private String signatureType;
}
