package com.caimei365.order.model.vo;


import com.google.common.collect.ImmutableSet;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.util.Set;

@Setter
@Getter
@ToString
public class NotifyResponseVo {

    private String rt1_customerNumber;
    private String rt2_orderId;
    private String rt3_systemSerial;
    //INIT:已接收
    //DOING:处理中
    //SUCCESS:成功
    //FAIL:失败
    //CLOSE:关闭
    //CANCEL:撤销
    private String rt4_status;
    private String rt5_orderAmount;
    private String rt6_currency;
    private String rt7_timestamp;
    private String rt8_desc;
    private String sign;

    /**
     * 需要加签的属性参数,要求加签的参数空值也签名
     * 看接口文档
     */
    public static final Set<String> NEED_SIGN_PARAMS = ImmutableSet.of("rt1_customerNumber", "rt2_orderId",
            "rt3_systemSerial", "rt4_status", "rt5_orderAmount", "rt6_currency", "rt7_timestamp", "rt8_desc");
}
