package com.caimei365.order.model.vo;

import com.google.common.collect.ImmutableSet;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.util.Set;

@Setter
@Getter
@ToString
public class QueryOrderResponseVo {

    private String rt1_bizType;
    private String rt2_retCode;
    private String rt3_retMsg;
    private String rt4_customerNumber;
    private String rt5_orderId;
    private String rt6_serialNumber;
    private String rt7_orderStatus;
    private String rt8_orderAmount;
    private String rt9_currency;
    private String rt10_desc;
    private String rt11_openId;
    private String rt12_channelOrderNum;
    private String rt13_orderCompleteDate;
    private String rt14_cashFee;
    private String rt15_couponFee;
    private String rt16_onlineCardType;
    private String rt17_fundBillList;
    private String rt18_outTransactionOrderId;
    private String rt19_bankType;
    private String rt20_subOpenId;
    /**
     * 排除签名
     */
    private String subMerchantNo;
    /**渠道上游返回码 不签名*/
    private String channelRetCode;
    /**渠道上游返回信息 不签名*/
    private String channelRetMsg;
    private String sign;
    /**
     * 需要加签的属性参数
     * 看接口文档
     */
    public static final Set<String> NEED_SIGN_PARAMS = ImmutableSet.of("rt1_bizType", "rt2_retCode", "rt4_customerNumber",
            "rt5_orderId", "rt6_serialNumber", "rt7_orderStatus", "rt8_orderAmount", "rt9_currency");
}
