package com.caimei365.order.model.vo;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author zzj
 */
@Data
public class Sku {

    /**
     * 单品促销优惠价
     */
    private Double touchPrice;
    /**
     * 超级会员折扣
     */
    private Double discount;
    /**
     * 超级会员优惠价
     */
    private Double discountPrice;
    /**
     * 超级会员价类型：1折扣，2优惠价
     */
    private Integer priceType;
    /**
     * 划线价格
     */
    private Double originalPrice;
    /**
     * 最大购买量
     */
    private Integer maxBuyNumber;
    /**
     * 计算后价格等级
     */
    private Integer priceGrade;
    /**
     * 是否复购 0否 1是
     */
    private Integer repurchaseFlag;
    /**
     * 启用阶梯价格标识 0否 1是
     */
    private Integer ladderPriceFlag;
    /**
     * 比例成本百分比
     */
    private Double costProportional;
    /**
     * 成本价选中标志：1固定成本 2比例成
     */
    private Integer costCheckFlag;

    private Integer skuId;
    /**
     * 起订量
     */
    private Integer minBuyNumber;
    /**
     * 成本价
     */
    private Double costPrice;
    /**
     * 库存
     */
    private Integer stock;
    /**
     * 机构价格
     */
    private Double price;
    /**
     * 市场价
     */
    private Double normalPrice;
    /**
     * 包装规格
     */
    private String unit;
}
