package com.caimei365.order.model.vo;

import com.google.common.collect.ImmutableSet;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.util.Set;

@Setter
@Getter
@ToString
@Data
public class UnionResVo {
    //网银支付回调
    private String rt1_bizType;
    private String rt2_retCode;
    private String rt3_retMsg;
    private String rt4_customerNumber;
    private String rt5_orderId;
    private String rt6_orderAmount;
    private String rt7_bankId;
    private String rt8_business;
    private String rt9_timestamp;
    private String rt10_completeDate;
    private String rt11_orderStatus;
    private String rt12_serialNumber;
    private String rt13_desc;
    private String sign;
    private String onlineCardType;

    public static final Set<String> NEED_SIGN_PARAMS = ImmutableSet.of("rt1_bizType", "rt2_retCode","rt3_retMsg", "rt4_customerNumber",
            "rt5_orderId", "rt6_orderAmount", "rt7_bankId", "rt8_business", "rt9_timestamp","rt10_completeDate","rt11_orderStatus","rt12_serialNumber");
}
