package com.caimei365.order.service.impl;

import com.caimei365.order.mapper.cmOfflineCollectionMapper;
import com.caimei365.order.model.ResponseJson;
import com.caimei365.order.model.po.cmOfflineCollectionPo;
import com.caimei365.order.service.cmOfflineCollectionService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * Description
 *
 * @author : Charles
 * @date : 2022/9/26
 */
@Slf4j
@Service
public class cmOfflineCollectionServiceImpl implements cmOfflineCollectionService {

    @Resource private cmOfflineCollectionMapper cmOfflineCollectionMapper;

    /**
     * 获取后台配置显示的银行信息
     * @return
     */
    @Override
    public ResponseJson<cmOfflineCollectionPo> seData() {
        cmOfflineCollectionPo collectionPo = cmOfflineCollectionMapper.seData();
        log.info("**********"+collectionPo+"***********");
        if (collectionPo == null) {
            return ResponseJson.error("银行账户查询失败，请联系管理员");
        }
        return ResponseJson.success(collectionPo);
    }
}
